import roboticstoolbox as rtb


def ik_sol(robot, pose):
	ets = robot.ets()

	#Tep = ets.fkine(pose)

	#sol = ets.ik_GN(Tep)

	solver = rtb.IK_GN()
	Tep = ets.fkine(pose)
	sol = solver.solve(ets, Tep).q.tolist()

	return sol

	if sol[1]: return sol[0].tolist()
	return "no sol"
